# Class TCLIService.AsyncClient.Factory

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TCLIService.AsyncClient.Factory

All Implemented Interfaces:
  `org.apache.thrift.async.TAsyncClientFactory<TCLIService.AsyncClient>`

Enclosing class:
  `TCLIService.AsyncClient`

public static class TCLIService.AsyncClient.Factory extends Object implements org.apache.thrift.async.TAsyncClientFactory<TCLIService.AsyncClient>

## Constructor Summary

Constructors
Constructor
Description
`Factory(org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.protocol.TProtocolFactory protocolFactory)`

## Method Summary

Modifier and Type
Method
Description
`TCLIService.AsyncClient`
`getAsyncClient(org.apache.thrift.transport.TNonblockingTransport transport)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory(org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.protocol.TProtocolFactory protocolFactory)

## Method Details

### getAsyncClient

public TCLIService.AsyncClient getAsyncClient(org.apache.thrift.transport.TNonblockingTransport transport)

Specified by:
  `getAsyncClient` in interface `org.apache.thrift.async.TAsyncClientFactory<TCLIService.AsyncClient>`